Notifications API - POST filter notifications

  • Latest Dynatrace
  • Reference
  • Published Feb 24, 2026

This API returns all account‑level notification types, including budget, cost, forecast, and BYOK.

POST

https://api.dynatrace.com/v1/accounts/{accountUuid}/notifications

Parameters

ParameterTypeDescriptionInRequired
accountUuidstring

The ID of the required account.

You can find the UUID on the Account Management > Identity & access management > OAuth clients page, during creation of an OAuth client.

pathRequired
bodyNotificationQueryParamsDto-bodyRequired

Request body objects

The NotificationQueryParamsDto object

ElementTypeDescriptionRequired
startDateTimestring

Start date and time to filter notifications.

Optional
endDateTimestring

End date and time to filter notifications.

Optional
typesstring[]

Notification types to filter notifications.

The element can hold these values
  • FORECAST
  • BUDGET
  • COST
  • BYOK_REVOKED
  • BYOK_ACTIVATED
Optional
severitiesstring[]

Notification severities to filter notifications.

The element can hold these values
  • SEVERE
  • WARN
  • INFO
Optional
capabilitiesarray[]

Capabilities to filter notifications.

Optional
environmentsarray[]

Environments to filter notifications.

Optional
pagenumber

The page number.

Optional
pageSizenumber

The maximum number of notifications to return, max 100.

Optional
sortsstring[]

The property to sort by. Prefix with "-" to invert sort order.

The element can hold these values
  • type
  • -type
  • date
  • -date
Optional

Request body JSON model

This is a model of the request body, showing the possible elements. It has to be adjusted for usage in an actual request.

{
"startDateTime": "2023-01-01T00:00:00Z",
"endDateTime": "2023-12-31T23:59:59Z",
"types": [
"FORECAST"
],
"severities": [
"SEVERE"
],
"capabilities": [
"LOG_MANAGEMENT_ANALYZE"
],
"environments": [
"abc12345"
],
"page": 1,
"pageSize": 20,
"sorts": [
"-date"
]
}

Response

Response codes

CodeTypeDescription
200NotificationListDto

Success. The response contains a list of notifications based on the given query.

400-

Failed. The request was unacceptable, often due to missing a required parameter

401-

Failed. The bearer token is incorrect/expired or the requested account information does not match the bearer token

403-

Access denied

404-

Failed. The requested resource was not found

500-

Failed. Something went wrong in Account Management API

Response body objects

The NotificationListDto object

ElementTypeDescription
recordsNotificationDto[]

A list of notifications of the account.

totalRecordCountnumber

The total number of notifications matching the filter.

hasNextPageboolean

If there are more notifications.

The NotificationDto object

ElementTypeDescription
keystring-
accountUuidstring-
messagestring-
severitystring-
typestring-
detailsSubscriptionRelatedEventDataDto-
datestring-

The SubscriptionRelatedEventDataDto object

ElementTypeDescription
environmentsstring[]-
capabilitiesstring[]-
allEnvironmentsboolean-
allCapabilitiesboolean-

Response body JSON models

{
"records": [
{
"key": "budget-key-example",
"accountUuid": "00000000-0000-0000-0000-000000000000",
"message": "Message for budget 0 0",
"severity": "WARN",
"type": "budget",
"details": {
"environments": [
{
"uuid": "env-uuid",
"clusterUuid": "cluster-uuid"
}
],
"capabilities": [
"cap1"
],
"allEnvironments": false,
"allCapabilities": true
},
"date": "2025-12-14T10:02:09.297Z"
},
{
"key": "byok-key-example",
"accountUuid": "00000000-0000-0000-0000-000000000000",
"message": "BYOK event message",
"severity": "WARN",
"type": "byok-revoked",
"details": {
"environmentUuid": "env-uuid",
"keyName": "key-name"
},
"date": "2025-12-14T10:02:09.297Z"
}
],
"totalRecordCount": 300,
"hasNextPage": true
}